Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Delete approval

Delete an approval request

DELETE/approvals/{id}
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
idstring<uuid>required

Approval ID (UUID)

Responses
200

Approval deleted

deletedApprovalApproval
Show properties
idstring<uuid>
statusstring
Allowed:RequestedApproved
isBlockingboolean
messagestring | null
dueDatestring<date-time> | null
approvedAtstring<date-time> | null
createdAtstring<date-time>
userApprovalUser
Show properties
idstring<uuid>
emailstring<email>
firstNamestring | null
lastNamestring | null
createdAtstring<date-time>
requestedByApprovalUser
Show properties
idstring<uuid>
emailstring<email>
firstNamestring | null
lastNamestring | null
createdAtstring<date-time>
400

Bad Request - Invalid input parameters

codestring
messagestring
dataobject
Show properties
errorsobject
401

Unauthorized - Missing or invalid API key

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://app.tryordinal.com/api/v1/approvals/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "deletedApproval": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "status": "Requested",
    "isBlocking": true,
    "message": "string",
    "dueDate": "2019-08-24T14:15:22Z",
    "approvedAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "user": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "email": "user@example.com",
      "firstName": "string",
      "lastName": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "requestedBy": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "email": "user@example.com",
      "firstName": "string",
      "lastName": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  }
}